using System;
using System.Xml.Serialization;

namespace Top.Api.Domain
{
    /// <summary>
    /// OAuthOtherInfo Data Structure.
    /// </summary>
    [Serializable]
    public class OAuthOtherInfo : TopObject
    {
        /// <summary>
        /// access_token
        /// </summary>
        [XmlElement("access_token")]
        public string AccessToken { get; set; }

        /// <summary>
        /// avatarUrl
        /// </summary>
        [XmlElement("avatar_url")]
        public string AvatarUrl { get; set; }

        /// <summary>
        /// id
        /// </summary>
        [XmlElement("id")]
        public string Id { get; set; }

        /// <summary>
        /// nick
        /// </summary>
        [XmlElement("nick")]
        public string Nick { get; set; }

        /// <summary>
        /// 三方平台的openId
        /// </summary>
        [XmlElement("open_id")]
        public string OpenId { get; set; }

        /// <summary>
        /// 三方平台类型
        /// </summary>
        [XmlElement("platform_type")]
        public long PlatformType { get; set; }

        /// <summary>
        /// 三方平台的unionId
        /// </summary>
        [XmlElement("union_id")]
        public string UnionId { get; set; }
    }
}
